GWT 2.7.0

## com.google.gwt.user.client.ui
Class ListenerWrapper.WrappedTabListener

    java.lang.Object
      com.google.gwt.user.client.BaseListenerWrapper<T>
          com.google.gwt.user.client.ui.ListenerWrapper<TabListener>
              com.google.gwt.user.client.ui.ListenerWrapper.WrappedTabListener

All Implemented Interfaces:
  BeforeSelectionHandler<java.lang.Integer>, SelectionHandler<java.lang.Integer>, EventHandler

Enclosing class:
  ListenerWrapper<T>

    static class ListenerWrapper.WrappedTabListener

extends ListenerWrapper<TabListener>
implements SelectionHandler<java.lang.Integer>, BeforeSelectionHandler<java.lang.Integer>

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.ListenerWrapper

`ListenerWrapper.WrappedChangeListener, ListenerWrapper.WrappedClickListener, ListenerWrapper.WrappedFocusListener, ListenerWrapper.WrappedKeyboardListener, ListenerWrapper.WrappedLoadListener, ListenerWrapper.WrappedLogicalChangeListener<V>, ListenerWrapper.WrappedMouseListener, ListenerWrapper.WrappedMouseWheelListener, ListenerWrapper.WrappedOldDisclosureHandler, ListenerWrapper.WrappedOldFormHandler, ListenerWrapper.WrappedOldSuggestionHandler, ListenerWrapper.WrappedPopupListener, ListenerWrapper.WrappedScrollListener, ListenerWrapper.WrappedTableListener, ListenerWrapper.WrappedTabListener, ListenerWrapper.WrappedTreeListener`

Method Summary
`static void` | `add(TabBar source, TabListener listener)` Deprecated. will be removed in GWT 2.0 along with the listener classes
`static void` | `add(TabPanel source, TabListener listener)`
`void` | `onBeforeSelection(BeforeSelectionEvent<java.lang.Integer> event)` Called when `BeforeSelectionEvent` is fired.
`void` | `onSelection(SelectionEvent<java.lang.Integer> event)` Called when `SelectionEvent` is fired.
`static void` | `remove(Widget eventSource, TabListener listener)`

Methods inherited from class com.google.gwt.user.client.ui.ListenerWrapper
`baseRemove, getSource, setSource`

Methods inherited from class com.google.gwt.user.client.BaseListenerWrapper
`baseRemove, getListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### add

    @Deprecated
    public static void add(TabBar source,
                                      TabListener listener)

  Deprecated. will be removed in GWT 2.0 along with the listener classes

### add

    public static void add(TabPanel source,
                           TabListener listener)

### remove

    public static void remove(Widget eventSource,
                              TabListener listener)

### onBeforeSelection

    public void onBeforeSelection(BeforeSelectionEvent<java.lang.Integer> event)

  Description copied from interface: `BeforeSelectionHandler`
  Called when `BeforeSelectionEvent` is fired.

  Specified by:
    `onBeforeSelection` in interface `BeforeSelectionHandler<java.lang.Integer>`
  Parameters:
    `event` - the `BeforeSelectionEvent` that was fired

### onSelection

    public void onSelection(SelectionEvent<java.lang.Integer> event)

  Description copied from interface: `SelectionHandler`
  Called when `SelectionEvent` is fired.

  Specified by:
    `onSelection` in interface `SelectionHandler<java.lang.Integer>`
  Parameters:
    `event` - the `SelectionEvent` that was fired

GWT 2.7.0